indentation: 4
disabled_rules:
    - cyclomatic_complexity
    - file_length
    - function_body_length
    - function_parameter_count
    - identifier_name
    - implicit_return
    - large_tuple
    - line_length
    - todo
    - type_body_length
    - type_name
opt_in_rules:
    - anyobject_protocol
    - array_init
    - attributes
      #- closure_end_indentation ## commented as --format removes option
    - closure_spacing
    - conditional_returns_on_newline
    - contains_over_range_nil_comparison
    - empty_count
    - empty_string
    - explicit_init
    - fatal_error_message
    - first_where
    - implicitly_unwrapped_optional
    - joined_default_parameter
      #- literal_expression_end_indentation  ## commented as --format removes option
    - legacy_random
    - let_var_whitespace
    - lower_acl_than_parent
    - multiline_function_chains
    - operator_usage_whitespace
    - pattern_matching_keywords
    - redundant_nil_coalescing
    - redundant_type_annotation
    - sorted_imports
    - trailing_closure
    - unneeded_parentheses_in_closure_argument
    - untyped_error_in_catch
    - vertical_whitespace_closing_braces
    - xct_specific_matcher
    - yoda_condition
trailing_comma:
    mandatory_comma: true
excluded:
    - keychain/trust/cuttlefish/
    - keychain/Trieste/OctagonTriesteTests/.build
